Send trace data to your project by using the Telemetry (OTLP) API, which implements the OpenTelemetry Line Protocol. For information about this API, see v1.traces overview.
HTTP request
GET https://telemetry.googleapis.com/v1/traces
The URLs use gRPC Transcoding syntax.
Request body
The request body contains an instance of ExportTraceServiceRequest.
For information about this structure, see
trace_service.proto
and trace.proto.
If you add attributes to a Span, then make sure you follow
OpenTelemetry's instructions. For more information, see
Common specification concepts: Attribute.
For information about sending requests and about the OTLP protocol, see Protocol Details.
Response body
The response body contains an instance of ExportTraceServiceResponse.
For information about this structure, see the
trace_service.proto.
The response can indicate full success, partial success, or failure. For more information, see OTLP/gRPC Response.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/trace.appendhttps://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.